Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.xml
Class SAXEventProviderXMLReader

    java.lang.Object
      org.crosswire.common.xml.SAXEventProviderXMLReader

All Implemented Interfaces:
  XMLReader

    public class SAXEventProviderXMLReader

extends Object
implements XMLReader

A helper to aid people working with a SAXEventProvider.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: SAXEventProviderXMLReader.java,v 1.3 2005/03/06 20:21:59 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`private ContentHandler` | `content`
`private SAXEventProvider` | `docIn`
`private DTDHandler` | `dtds`
`private EntityResolver` | `entities`
`private ErrorHandler` | `errors`

Constructor Summary
`SAXEventProviderXMLReader(SAXEventProvider docIn)` Constructor SAXEventProviderXMLReader.

Method Summary
`ContentHandler` | `getContentHandler()`
`DTDHandler` | `getDTDHandler()`
`EntityResolver` | `getEntityResolver()`
`ErrorHandler` | `getErrorHandler()`
`boolean` | `getFeature(String arg0)`
`Object` | `getProperty(String arg0)`
`void` | `parse(InputSource is)`
`void` | `parse(String arg0)`
`void` | `setContentHandler(ContentHandler content)`
`void` | `setDTDHandler(DTDHandler dtds)`
`void` | `setEntityResolver(EntityResolver entities)`
`void` | `setErrorHandler(ErrorHandler errors)`
`void` | `setFeature(String arg0, boolean arg1)`
`void` | `setProperty(String arg0, Object arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docIn

    private SAXEventProvider docIn

### errors

    private ErrorHandler errors

### content

    private ContentHandler content

### dtds

    private DTDHandler dtds

### entities

    private EntityResolver entities

Constructor Detail

### SAXEventProviderXMLReader

    public SAXEventProviderXMLReader(SAXEventProvider docIn)

  Constructor SAXEventProviderXMLReader.

Method Detail

### getFeature

    public boolean getFeature(String arg0)

  Specified by:
    `getFeature` in interface `XMLReader`

### setFeature

    public void setFeature(String arg0,
                           boolean arg1)

  Specified by:
    `setFeature` in interface `XMLReader`

### getProperty

    public Object getProperty(String arg0)

  Specified by:
    `getProperty` in interface `XMLReader`

### setProperty

    public void setProperty(String arg0,
                            Object arg1)

  Specified by:
    `setProperty` in interface `XMLReader`

### setEntityResolver

    public void setEntityResolver(EntityResolver entities)

  Specified by:
    `setEntityResolver` in interface `XMLReader`

### getEntityResolver

    public EntityResolver getEntityResolver()

  Specified by:
    `getEntityResolver` in interface `XMLReader`

### setDTDHandler

    public void setDTDHandler(DTDHandler dtds)

  Specified by:
    `setDTDHandler` in interface `XMLReader`

### getDTDHandler

    public DTDHandler getDTDHandler()

  Specified by:
    `getDTDHandler` in interface `XMLReader`

### setContentHandler

    public void setContentHandler(ContentHandler content)

  Specified by:
    `setContentHandler` in interface `XMLReader`

### getContentHandler

    public ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `XMLReader`

### setErrorHandler

    public void setErrorHandler(ErrorHandler errors)

  Specified by:
    `setErrorHandler` in interface `XMLReader`

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `XMLReader`

### parse

    public void parse(InputSource is)
               throws SAXException

  Specified by:
    `parse` in interface `XMLReader`
  Throws:
    `SAXException`

### parse

    public void parse(String arg0)
               throws SAXException

  Specified by:
    `parse` in interface `XMLReader`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD